##  for Mageia 9  ##

%define ver 5.1.11
%define rel 1

# turn off debuginfo package
%define debug_package %{nil}

Name:    fcitx5
Summary: Fcitx5 - A Flexible Input Method Framework
Version: %{ver}
Release: %{rel}.np9
License: LGPLv2+
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx5

Source0: https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst
Source1: https://download.fcitx-im.org/data/en_dict-20121020.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: pkgconfig(xkbfile)
BuildRequires: enchant2-devel
BuildRequires: pkgconfig(iso-codes)
BuildRequires: json-c-devel
BuildRequires: %{_lib}xkbcommon-devel >= 0.5.0
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: desktop-file-utils
BuildRequires: uuid-devel
BuildRequires: intltool
BuildRequires: %{_lib}fmt-devel
#
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(wayland-egl)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: %{_lib}xcb-devel
BuildRequires: %{_lib}xcb-util-wm-devel
BuildRequires: %{_lib}xcb-imdkit-devel
BuildRequires: %{_lib}xcb-util-keysyms-devel
BuildRequires: pkgconfig(xkeyboard-config)
BuildRequires: %{_lib}event-devel

Requires: dbus-x11
Requires: %{_lib}xcb-ewmh2
Requires: %{_lib}xcb-imdkit1
Requires: setIM >= 3.3
#
#Recommends: fcitx5-gtk3
#Recommends: fcitx5-qt
#Recommends: fcitx5-configtool
#
Conflicts: fcitx

%description
Fcitx5 is a generic input method framework.

# ------------------------------------------

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
This package provides development files for Fcitx5.

# ------------------------------------------

%prep
%setup -q
cp %{SOURCE1} src/modules/spell/


%build
%cmake -DCMAKE_SKIP_RPATH=Off
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

desktop-file-install --delete-original --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 $RPM_BUILD_ROOT%{_datadir}/applications/fcitx5-configtool.desktop

desktop-file-install --delete-original --vendor="" \
 --set-key=NoDisplay \
 --set-value=true \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/org.fcitx.Fcitx5.desktop

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/org.fcitx.Fcitx5.desktop

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%license LICENSES/LGPL-2.1-or-later.txt LICENSES/Unicode-DFS-2016.txt
%doc README.md
%{_bindir}/*
%{_libdir}/libFcitx5*.so.*.*
%{_libdir}/libFcitx5Config.so.6
%{_libdir}/libFcitx5Core.so.7
%{_libdir}/libFcitx5Utils.so.2
%{_libdir}/%{name}/*
%{_libexecdir}/fcitx5-wayland-launcher
%{_sysconfdir}/xdg/Xwayland-session.d/20-fcitx-x11
%{_datadir}/%{name}/*
%{_datadir}/dbus-1/services/org.fcitx.Fcitx5.service
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.fcitx.Fcitx5.metainfo.xml
%{_iconsdir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/Fcitx5/
%{_libdir}/libFcitx5*.so
%{_libdir}/cmake/Fcitx5*
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Oct 09 2024 tomcat <> 5.1.11-1.np9
- 5.1.11

* Sat Jun 01 2024 tomcat <> 5.1.10-1.np9
- 5.1.10

* Tue Apr 23 2024 tomcat <> 5.1.9-1.np9
- 5.1.9

* Fri Mar 01 2024 tomcat <> 5.1.8-1.np9
- 5.1.8

* Wed Jan 17 2024 tomcat <> 5.1.7-1.np9
- 5.1.7
- uodate %%files

* Sat Jan 06 2024 tomcat <> 5.1.6-1.np9
- 5.1.6

* Thu Nov 09 2023 tomcat <> 5.1.5-1.np9
- 5.1.5

* Sun Nov 05 2023 tomcat <> 5.1.4-1.np9
- 5.1.4

* Sat Nov 04 2023 tomcat <> 5.1.3-1.np9
- 5.1.3

* Sat Sep 30 2023 tomcat <> 5.1.1-1.np9
- 5.1.1

* Fri Aug 18 2023 tomcat <> 5.1.0-1.np9
- 5.1.0

* Mon Apr 24 2023 tomcat <> 5.0.23-1.np9
- 5.0.23

* Sun Feb 26 2023 tomcat <> 5.0.21-2.np9
- build for Mageia 9

* Fri Nov 25 2022 tomcat <> 5.0.21-1.nora8
- 5.0.21

* Mon Nov 21 2022 tomcat <> 5.0.20-2.nora8
- drop BR:cldr-emoji-annotation-devel
- update %%files

* Sun Nov 20 2022 tomcat <> 5.0.20-1.nora8
- 5.0.20
- build with xcb-imdkit-1.0.4

* Fri Sep 16 2022 tomcat <> 5.0.19-2.nora8
- add sign to package

* Tue Aug 30 2022 tomcat <> 5.0.19-1.nora8
- 5.0.19
- change destination directory of Source1

* Wed Jul 06 2022 tomcat <> 5.0.18-1.nora8
- 5.0.18

* Thu Jun 02 2022 tomcat <> 5.0.17-1.nora8
- 5.0.17

* Mon May 23 2022 tomcat <> 5.0.16-1.nora8
- 5.0.16

* Thu Mar 10 2022 tomcat <> 5.0.15-1.nora8
- 5.0.15

* Wed Feb 02 2022 tomcat <> 5.0.14-1.nora8
- 5.0.14
- update %%files

* Mon Jan 10 2022 tomcat <> 5.0.13-1.nora8
- 5.0.13

* Sun Jan 02 2022 tomcat <> 5.0.12-1.nora8
- 5.0.12

* Sun Dec 05 2021 tomcat <> 5.0.11-1.nora8
- 5.0.11

* Sat Nov 06 2021 tomcat <> 5.0.10-1.nora8
- 5.0.10

* Sun Sep 26 2021 tomcat <> 5.0.9-1.nora8
- 5.0.9

* Thu May 06 2021 tomcat <> 5.0.8-1.nora8
- 5.0.8

* Tue Mar 23 2021 tomcat <> 5.0.7-1.nora8
- 5.0.7

* Mon Mar 22 2021 tomcat <> 5.0.6-1.nora8
- 5.0.6

* Tue Mar 02 2021 tomcat <> 5.0.5-3.nora8
- fix Requires

* Sun Feb 28 2021 tomcat <> 5.0.5-2.nora8
- do not rename icons
- add Conflicts:fcitx

* Sat Feb 20 2021 tomcat <> 5.0.5-1.nora8
- 5.0.5
- update desktop files

* Wed Jan 27 2021 tomcat <> 5.0.4-1.nora8
- build for Mageia 8
